<template>
  <div :class="{ 'edit-mode': editMode }">
    <splitter class="inner">
      <editable-sidebar id="sidebar" slot="left-pane" v-if="isRoutingLoaded && editMode && isEditableSidebarLoaded"></editable-sidebar>
      <div id="app" slot="right-pane">
        <template v-if="isRoutingLoaded">
          <router-view/>
        </template>
        <template v-else>
          Loading...
        </template>
      </div>
    </splitter>
  </div>
</template>

<script>

import { WITH_SOURCES } from '@/config'

import { AppStarterMixin } from 'y3ti-i3'
import { SetRoutesMixin } from 'y3ti-r3'

export default {
  mixins: [AppStarterMixin, SetRoutesMixin],

  name: 'App',

  components: {
  },

  data () {
    return {
      isEditableSidebarLoaded: false
    }
  },

  watch: {
    editMode () {
      this.handleCSS()
    }
  },

  methods: {
    handleCSS () {
      if (this.editMode && !this.isEditableSidebarLoaded) {
        if (WITH_SOURCES) {
          this.isEditableSidebarLoaded = true
        } else {
          import(/* webpackChunkName: "i3-css" */ 'Y3TII3_CSS').then(() => {
            this.isEditableSidebarLoaded = true
          })
        }
      }
    }
  },

  created () {
    this.handleCSS()
    this.getUser()
    this.setRoutes(this.pushNewNodeRoutes)
  }
}
</script>

<style lang="scss">
  html {
    height: 100%;
  }
  body, html {
    min-height: 100%;
    margin: 0;
    padding: 0;
  }

  :root {
    --ck-spacing-unit:           inherit; // 0.6em;
 //  --ck-spacing-large:           calc(var(--ck-spacing-unit) * 1.5);
 //  --ck-spacing-standard:          var(--ck-spacing-unit);
 //  --ck-spacing-medium:          calc(var(--ck-spacing-unit) * 0.8);
 //  --ck-spacing-small:           calc(var(--ck-spacing-unit) * 0.5);
 //  --ck-spacing-tiny:            calc(var(--ck-spacing-unit) * 0.3);
 //  --ck-spacing-extra-tiny:        calc(var(--ck-spacing-unit) * 0.16);
  }

</style>
